local level = 2
local object_ref = "test"
local object_name = object_ref .. "-" .. level

local localised_name_item = { "item-name.concat-level", {"entity-name." .. object_ref}, level }
local localised_name_entity = { "entity-name.concat-level", {"entity-name." .. object_ref}, level }
local localised_name_recipe = { "recipe-name.concat-level", {"recipe-name." .. object_ref}, level }

data:extend(
	{
		---------------------------------------------------------------------------------
		{
			type = "recipe",
			name = object_name,
			localised_name = localised_name_recipe,
			enabled = true,
			order = "a",
			energy_required = 10,
			ingredients =
			{
				{"iron-plate", 10},
				{"steel-plate", 10},
			},
			result = object_name
		},
		
		----------------------------------------------------------------------------------
		{
			type = "item",
			name = object_name,
			localised_name = localised_name_item,
			icon = "__base__/graphics/icons/iron-chest.png",
			flags = {"goes-to-quickbar"},
			subgroup = "storage",
			order = "a[items]-a[iron-chest]",
			place_result = object_name,
			stack_size = 20
		},
		----------------------------------------------------------------------------------
		{
			type = "container",
			name = object_name,
			localised_name = localised_name_entity,
			icon = "__base__/graphics/icons/iron-chest.png",
			flags = {"placeable-neutral", "player-creation"},
			minable = {mining_time = 1, result = object_name},
			max_health = 100,
			corpse = "small-remnants",
			open_sound = { filename = "__base__/sound/metallic-chest-open.ogg", volume=0.65 },
			close_sound = { filename = "__base__/sound/metallic-chest-close.ogg", volume = 0.7 },
			resistances =
			{
			{
			type = "fire",
			percent = 80
			}
			},
			collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
			selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
			fast_replaceable_group = "container",
			inventory_size = 32,
			vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
			picture =
			{
			filename = "__base__/graphics/entity/iron-chest/iron-chest.png",
			priority = "extra-high",
			width = 48,
			height = 34,
			shift = {0.1875, 0}
			},
			circuit_wire_connection_point =
			{
			shadow =
			{
			red = {0.734375, 0.453125},
			green = {0.609375, 0.515625},
			},
			wire =
			{
			red = {0.40625, 0.21875},
			green = {0.40625, 0.375},
			}
			},
			circuit_connector_sprites = get_circuit_connector_sprites({0.1875, 0.15625}, nil, 18),
			circuit_wire_max_distance = 7.5
		},
	}
)
